# MagickCore, C API: Fourier Transform @ ImageMagick
ImageMagick® is a software suite to create, edit, compose, or convert bitmap images. It can read and write images in a variety of formats (over 200) including PNG, JPEG, JPEG-2000, GIF, WebP, Postscript, PDF, and SVG. Use ImageMagick to resize, flip, mirror, rotate, distort, shear and transform images, adjust image colors, apply various special effects, or draw text, lines, polygons, ellipses and Bézier curves.
Author: ImageMagick Studio LLC
Keywords: magickcore, c, api:, fourier, transform, ImageMagick, PerlMagick, image processing, image, photo, software, Magick++, OpenMP, convert

ComplexImages • ForwardFourierTransformImage • InverseFourierTransformImage

## ComplexImages

ComplexImages() performs complex mathematics on an image sequence.

The format of the ComplexImages method is:

    MagickBooleanType ComplexImages(Image *images,const ComplexOperator op,
      ExceptionInfo *exception)

A description of each parameter follows:

image
  the image.
op
  A complex operator.
exception
  return any errors or warnings in this structure.

## ForwardFourierTransformImage

ForwardFourierTransformImage() implements the discrete Fourier transform (DFT) of the image either as a magnitude / phase or real / imaginary image pair.

The format of the ForwadFourierTransformImage method is:

    Image *ForwardFourierTransformImage(const Image *image,
      const MagickBooleanType modulus,ExceptionInfo *exception)

A description of each parameter follows:

image
  the image.
modulus
  if true, return as transform as a magnitude / phase pair otherwise a real / imaginary image pair.
exception
  return any errors or warnings in this structure.

## InverseFourierTransformImage

InverseFourierTransformImage() implements the inverse discrete Fourier transform (DFT) of the image either as a magnitude / phase or real / imaginary image pair.

The format of the InverseFourierTransformImage method is:

    Image *InverseFourierTransformImage(const Image *magnitude_image,
      const Image *phase_image,const MagickBooleanType modulus,
      ExceptionInfo *exception)

A description of each parameter follows:

magnitude_image
  the magnitude or real image.
phase_image
  the phase or imaginary image.
modulus
  if true, return transform as a magnitude / phase pair otherwise a real / imaginary image pair.
exception
  return any errors or warnings in this structure.